import { NetlifyExtensionClient } from "@netlify/sdk--extension-api-client";
export type NetlifySDKContext<SiteConfiguration = unknown, TeamConfiguration = unknown, ConnectorConfiguration = unknown> = {
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
        providerTokens: {
            externalId: string;
            token: string;
            connectionId: string;
        }[];
    };
    client: NetlifyExtensionClient<SiteConfiguration, TeamConfiguration, ConnectorConfiguration>;
    configurationId: string | null;
    dataLayerId: string | null;
    extension: {
        id: string;
        slug: string;
    };
    siteId: string | null;
    teamId: string | null;
    user: {
        id: string | null;
    };
};
export declare const createNetlifySDKContext: <SiteConfiguration, TeamConfiguration, ConnectorConfiguration>({ req, }: {
    req: Request;
}) => NetlifySDKContext<SiteConfiguration, TeamConfiguration, ConnectorConfiguration>;
//# sourceMappingURL=sdk_context.d.ts.map